Bug 56632 - network-functions isavailable fails on monolithic kernel
network-functions isavailable fails on monolithic kernel
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-22 12:47 EST by Michael McLagan
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 15:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael McLagan 2001-11-22 12:47:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.2.19 i686)

Description of problem:
isavalable() does not accomodate kernels with compiled in network drivers.
The call "modprobe -c | awk "/^alias $1 / {print \\$3}" produces "off"
results in a failure.  The network interface is not initialized despite
being present for it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. compile kernel with network driver included
2. reboot


Actual Results:  eth0 interface is not initialized

Expected Results:  interface should be initialized

Additional info:

kernel is 2.2.19 without netlink, eepro100 driver compiled in
Comment 1 Bill Nottingham 2005-09-29 15:20:28 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.